## By Index
```javascript
const users = [
  {name: 'Bob', active: false},
  {name: 'George', active: true}
];

users.splice(0, 1); // This tells it to start are index 0, and remove 1 item.

console.log(users);
// Expected output: [{name: 'George', active: true}]
```

## By Boolean Value
```javascript
const users = [
  {name: 'Bob', active: false},
  {name: 'George', active: true}
];

const activeUsers = users.filter(user => user.active);

console.log(activeUsers);
// Expected output: [{name: 'George', active: true}]
```

## By Conditional
```javascript
const users = [
  {name: 'Bob', active: false},
  {name: 'George', active: true}
];

const activeUsers = users.filter(user => user.name === 'George');

console.log(activeUsers);
// Expected output: [{name: 'George', active: true}]
```
```javascript
const users = [
  {name: 'Bob', active: false},
  {name: 'George', active: true}
];

const activeUsers = users.filter(user => {
  if(user.name === 'George') {
    return true;
  }

  return false;
});

console.log(activeUsers);
// Expected output: [{name: 'George', active: true}]
```

export const section = 'Vanilla JavaScript';
export const name = 'Remove an object from an array';
export const slug = 'remove-an-object-from-an-array';
export const tags = ['Array', 'Object'];
export const keywords = ['filter', 'object'];
export const related = [ {
  slug: 'remove-a-value-from-an-array',
  section: 'Vanilla JavaScript'
}];
